%global momorel 2

Summary: Python accessibility explorer
Name: accerciser

Version: 1.2.0
Release: %{momorel}m%{?dist}
License: BSD
Group: Documentation
URL: http://www.gnome.org/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.2/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: python
BuildPrereq: intltool
BuildPrereq: GConf2 >= 2.22.0
BuildPrereq: gnome-python2-bonobo
BuildPrereq: pyorbit
BuildPrereq: pygtk2
BuildPrereq: gnome-python2-desktop-libwnck

Requires: gnome-python2
Requires: pygtk2
Requires: pygtk2-libglade
Requires: pyorbit
Requires: at-spi
Requires: gnome-python2
Requires: glib2

%description
Accerciser is an interactive Python accessibility explorer for the
GNOME desktop. It uses AT-SPI to inspect and control widgets, allowing
you to check if an application is providing correct information to
assistive technologies and automated test frameworks. Accerciser has a
simple plugin framework which you can use to create custom views of
accessibility information.

In essence, Accerciser is a next generation at-poke tool.

%prep
%setup -q

%build
%configure --disable-scrollkeeper --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="accerciser.schemas"
for i in $SCHEMAS
do
    gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas > /dev/null
done
rarian-sk-update
gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%postun
rarian-sk-update

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/accerciser.schemas
%{_bindir}/%{name}
%{_libdir}/python?.?/site-packages/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/omf/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.0-2m)
- rebuild against gcc43

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.0-1m)
- update to 1.2.0

* Sat Oct 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-2m)
- add some BPRs

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.0-1m)
- initial build
